Bug 21 - Insecure tmp file handling in /usr/bin/xlsview
: Insecure tmp file handling in /usr/bin/xlsview
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/catdoc)
: unstable
: all Linux
: P4 critical
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2001-09-29 18:12 by
Modified: 2003-08-25 15:18 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2001-09-29 18:12:52
/usr/bin/xlsview script works with temporary files without security in mind.
---

---
Use mktemp.
------- Comment #1 From 2002-04-16 14:05:47 -------
Fixed in
catdoc-0.91.5-alt3
------- Comment #2 From 2002-04-16 14:05:47 -------
Fixed in
catdoc-0.91.5-alt3